Bug 49174 - Migrate services/univention-printserver to dh_python2
Migrate services/univention-printserver to dh_python2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.4
All Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on: 49161 49177
Blocks: 28497 49136
  Show dependency treegraph
 
Reported: 2019-03-28 10:27 CET by Florian Best
Modified: 2019-12-11 16:49 CET (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2019-03-28 10:27:54 CET
The package services/univention-printserver should be migrated to use dh_python instead of python-support.

Migration-Guide: https://hutten.knut.univention.de/mediawiki/index.php/Python_DebHelper_Migration
Comment 1 Florian Best univentionstaff 2019-11-12 14:48:21 CET
Patch available in git:dh-python/services
Comment 2 Florian Best univentionstaff 2019-12-03 16:40:37 CET
Patch applied.

univention-printserver.yaml
15e76ca9798f | YAML Bug #49174

univention-printserver (12.0.1-14)
d42af4bfa479 | Bug #49174: futurize univention-printserver
939ac64f0f71 | Bug #49174: migrate univention-printserver to dh_python
Comment 3 Johannes Keiser univentionstaff 2019-12-10 12:23:14 CET
OK code changes
OK debdiff / dpkg -L
OK module import
OK install / upgrade
OK UMC module
OK YAML
-> verified
Comment 4 Erik Damrose univentionstaff 2019-12-11 16:49:38 CET
<http://errata.software-univention.de/ucs/4.4/397.html>